<TacticalQuery.NavMeshPositionOnSideInArea __id="7c05a4db-82d6-4f61-9be6-34d0479d057f" __path="libs/foundry/records/tacticalquery/tpsqueries/sharedqueries/navmeshpositiononsideinarea.xml" __type="TacticalQuery" name="NavMeshPositionOnSideInArea" type="TacticalPointQuery">
  <options>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_to_puppet" value="2.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="max_dot_to_attentionTarget" value="0.5">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_dot_to_attentionTarget" value="-0.30000001192092896">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_heightRelative_from_puppet" value="-1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="max_heightRelative_from_puppet" value="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isPointReachable_from_puppet" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isInside_the_area" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="pointsInNavigationMesh_around_puppet" value="6.5">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="height" value="6.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </parameters>
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="random" weight="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
  </options>
</TacticalQuery.NavMeshPositionOnSideInArea>